Bug 564459 - Changing dynagroup syntax doesn't update metrics graphs, only tables
Changing dynagroup syntax doesn't update metrics graphs, only tables
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.2
All Linux
medium Severity high (vote)
: ---
: ---
Assigned To: Charles Crouch
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2010-02-12 15:01 EST by Charles Crouch
Modified: 2015-02-01 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-27 14:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2010-02-12 15:01:28 EST
Taken from IT 357834

"Strange behavior when changing an existing dynagroup's makeup....
In this case, we had a group that previously calculated the JBAS instances that were associated with a particular datasource.

After changing the syntax to give us just those datasources rather then the JBAS instance metrics, we still see the graph tab under monitors showing us the JBAS metrics. Switching to the tables shows us the correct datasource metrics.

I created a new group, using the same syntax, and it behaved as expected, showing the datasource metrics for both the graph and tables.

The syntax is :

resource.resourceConfiguration[jndi-name] =jdbc/myDS
resource.type.plugin = JBossAS
resource.type.name = Datasource
resource.parent.name.startswith = abc"
Comment 1 wes hayutin 2010-02-16 11:59:08 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:03:53 EST
making sure we're not missing any bugs in rhq_triage

Note You need to log in before you can comment on or make changes to this bug.